Package org.eclipse.emf.cdo.common.util

## Class NotAuthenticatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException
        - - org.eclipse.net4j.util.security.NotAuthenticatedException
          - - org.eclipse.emf.cdo.common.util.NotAuthenticatedException

- All Implemented Interfaces:
    `java.io.Serializable`

      @Deprecated
      public class NotAuthenticatedException
      extends org.eclipse.net4j.util.security.NotAuthenticatedException

  Deprecated.
  As of 4.3 use `NotAuthenticatedException`, instead.
  An unchecked `security exception` indicating that a user has canceled an attempt to authenticate himself.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotAuthenticatedException()` | Deprecated.
    `NotAuthenticatedException​(java.lang.String s)` | Deprecated.
    `NotAuthenticatedException​(java.lang.String message, java.lang.Throwable cause)` | Deprecated.
    `NotAuthenticatedException​(java.lang.Throwable cause)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAuthenticatedException

          public NotAuthenticatedException()

      Deprecated.

    - #### NotAuthenticatedException

          public NotAuthenticatedException​(java.lang.String s)

      Deprecated.

    - #### NotAuthenticatedException

          public NotAuthenticatedException​(java.lang.Throwable cause)

      Deprecated.

    - #### NotAuthenticatedException

          public NotAuthenticatedException​(java.lang.String message,
                                           java.lang.Throwable cause)

      Deprecated.